Bug 60946 - can't select multiple items in list if you use "Page Down"
can't select multiple items in list if you use "Page Down"
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-03-10 01:07 EST by Jonathan Kamens
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-29 23:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-03-10 01:07:44 EST
Go to the bugzilla query form.  Click on a component.  Now hit "Page Down" as if
you are looking for another component to add to the one you clicked.  The one
you clicked is deselected and the one at the bottom of the currently displayed
portion of the list is selected instead.

Compare this to using the scrollbar to move down after the first click.  In this
case, the one you clicked remains selected, so you can use ctrl-click to add a
second selected item.  This is correct behavior.
Comment 1 Christopher Blizzard 2002-08-29 17:39:44 EDT
I don't think so.
Comment 2 Jonathan Kamens 2002-08-29 23:13:36 EDT
I don't understand why you changed the component to "mouseconfig".  This has
nothing to do with mouseconfig.  I also don't understand your assertion that the
current behavior is correct.  It differs from every other browser I've worked
with, including netscape 4.  It seems obvious to me that if I can select
multiple items using the scrollbar, I should also be able to select multiple
items using PgUp/PgDown.  Please clarify your position.
Comment 3 Christopher Blizzard 2002-08-30 14:00:06 EDT
The mouseconfig change was unintentional.  It was from testing.  I was saying
that I probably wouldn't change this at this point.  If it gets fixed upstream,
I'll pull it in.

Note You need to log in before you can comment on or make changes to this bug.